<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

if(isset($dir_name)){
	$tmpfile = $WHuds->safecheck($WHuds->root . WH_SLASH . $dir_name);
}
else if(isset($file_name))
{
	$tmpfile = $WHuds->safecheck($WHuds->root . WH_SLASH . $file_name);
}
else
{
	$WH->message("没有选择目录或文件！", "", 1);
}

if(!$WHuds->exists($tmpfile))
{
	$WH->message("目录或文件不存在！", "", 1);
}
else
{
	
	if(empty($action) || $action != "chmod"){

echo <<<eot
改名其实也是移动功能，可移动到其他目录！
<form action="index.php?op=chmod&action=chmod" method="post">
<input type="hidden" name="dir" value="$dir">
<input type="hidden" name="file_name" value="$file_name">\n
<input type="hidden" name="dir_name" value="$dir_name">\n
将文件或目录：$tmpfile &nbsp;
属性改为（路径要存在)：<input type="text" name="new_perm" value="0755" size=10>

<br>
<center><input type="submit" value="确认"></center>\n
</form>
eot;
	}else{
		if(empty($new_perm)){ $WH->message("属性为空！", "", 1);}

		$result = $WHuds->chmod($tmpfile, $new_perm);

		if($result){ $WH->message("改属性成功！", "index.php?dir=$dir");}
		else{ $WH->message("改属性失败！", "index.php?dir=$dir");}
	}
}

?>